> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Files in FileSet

> Performs an advanced search for files based on metadata filters.



## OpenAPI

````yaml /openapi/product/filesets.yaml post /api/files/v1/filesets/{filesetId}/files/search
openapi: 3.0.0
info:
  title: FileSets API (BETA) (Product)
  version: v1
  description: >
    <Note>

    BETA: This API is currently in BETA and is subject to change. 

    Endpoints, request/response formats, and functionality may change without
    notice.

    <Note>

    API for managing FileSets and Files in Domo.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: File
    description: Operations for managing individual files within a FileSet.
  - name: FileSet
    description: Operations for managing FileSets (collections of files).
paths:
  /api/files/v1/filesets/{filesetId}/files/search:
    post:
      tags:
        - FileSets API (BETA) (Product)
      summary: Search Files in FileSet
      description: Performs an advanced search for files based on metadata filters.
      parameters:
        - name: filesetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: directoryPath
          in: query
          schema:
            type: string
        - name: immediateChildren
          in: query
          schema:
            type: boolean
            default: false
        - name: limit
          in: query
          schema:
            type: integer
            default: 100
        - name: next
          in: query
          schema:
            type: string
          description: Pagination token.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchBody'
      responses:
        '200':
          description: A paginated list of matching files.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchFilesResponse'
        '401':
          description: Unauthorized
        '404':
          description: FileSet Not Found
components:
  schemas:
    SearchBody:
      description: Body for search operations on Files or FileSets.
      type: object
      properties:
        fieldSort:
          type: array
          items:
            $ref: '#/components/schemas/FieldSort'
        filters:
          type: array
          items:
            $ref: '#/components/schemas/Filter'
        dateFilters:
          type: array
          items:
            $ref: '#/components/schemas/DateFilter'
    SearchFilesResponse:
      type: object
      properties:
        files:
          type: array
          items:
            $ref: '#/components/schemas/FileMetadataFull'
        pageContext:
          $ref: '#/components/schemas/PageContext'
    FieldSort:
      type: object
      properties:
        field:
          type: string
          description: Field name to sort by.
        order:
          type: string
          description: Sort direction.
          enum:
            - ASC
            - DESC
    Filter:
      type: object
      properties:
        field:
          type: string
          description: Field name to filter on.
        value:
          type: array
          items:
            type: string
          description: Values to match against.
        not:
          type: boolean
          default: false
        operator:
          type: string
          description: 'Operation type: ''EQUALS'', ''IN'', ''LIKE'', etc.'
          enum:
            - EQUALS
            - GREATER_THAN
            - LESS_THAN
            - LESS_THAN_OR_EQUAL
            - GREATER_THAN_OR_EQUAL
            - IN
            - IS_NULL
            - LIKE
    DateFilter:
      type: object
      properties:
        field:
          type: string
          description: Field name for date filter (e.g., 'created').
        start:
          type: string
          format: date-time
          description: Start timestamp as ISO string.
        end:
          type: string
          format: date-time
          description: End timestamp as ISO string.
        not:
          type: boolean
          default: false
    FileMetadataFull:
      description: Full metadata for a file.
      allOf:
        - $ref: '#/components/schemas/FileMetadataBase'
        - type: object
          properties:
            hash:
              type: string
            hashAlgorithm:
              type: string
            downloadUrl:
              type: string
              format: url
              nullable: true
            connectorKey:
              type: string
              nullable: true
            indexStatus:
              type: string
              nullable: true
            indexReason:
              type: string
              nullable: true
    PageContext:
      type: object
      properties:
        next:
          type: string
          nullable: true
          description: Pagination token for fetching the next set of results.
        offset:
          type: integer
        limit:
          type: integer
        total:
          type: integer
    FileMetadataBase:
      description: Basic metadata for a file.
      type: object
      properties:
        id:
          type: string
          format: uuid
        path:
          type: string
        name:
          type: string
        fileType:
          type: string
        contentType:
          type: string
        size:
          type: integer
          format: int64
        created:
          type: string
          format: date-time
        createdBy:
          type: integer
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````